Bug 818901 - Applications on one workspace receive a click from another empty workspace.
Applications on one workspace receive a click from another empty workspace.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-04 06:23 EDT by Branko Grubić
Modified: 2013-08-01 02:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:31:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (1.31 MB, image/png)
2012-05-04 06:25 EDT, Branko Grubić
no flags Details

  None (edit)
Description Branko Grubić 2012-05-04 06:23:38 EDT
Description of problem: When multiple applications are running on multiple workspaces, sometimes (I think it's not always) they can receive a mouse click from another empty workspace, or empty part of some workspace (clicking on background) and show their menu (in case of right click) on the empty workspace, or for example mark some text in the application (in case of left click). 


Version-Release number of selected component (if applicable):
gnome-shell-3.4.1-3.fc17.x86_64

How reproducible: As I said before, I'm not 100% sure is it possible to reproduce it always or with some special condition. Just having multiple applications on multiple workspaces and trying to click on empty part of the workspace (background).


Steps to Reproduce:
1. Open few applications on more than one workspace.
2. Try clicking on empty part of workspace.
3.
  
Actual results: Opens an application menu for the application from another workspace, or do some action on the application which is not on the current workspace.


Expected results: do nothing.


Additional info: screenshot in attachment. Menu from xchat application which is on another workspace. I saw it working with xchat, gnome-terminal, nautilus, firefox, maybe all applications work.
Comment 1 Branko Grubić 2012-05-04 06:25:44 EDT
Created attachment 582082 [details]
screenshot
Comment 2 Fedora End Of Life 2013-07-03 21:44:56 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 02:31:29 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.